var a = window.checkToken;

window.checkToken = function() {
    a(), window.GlobalData && window.GlobalData.dispatcher.once("LOGIN_SUCCESS", null, o);
};

var o = function(a, o) {
    var n;
    window.isCreateRole = o, window.forceTime = 0, (n = o ? PlatParams.control.defaultIntoGameId ? PlatParams.control.defaultIntoGameId.split(",") : null : PlatParams.control.defaultIntoGameIdOldUser ? PlatParams.control.defaultIntoGameIdOldUser.split(",") : null) && (-1 != n.indexOf("1250") ? window.openMiniGame(1250) : -1 != n.indexOf("1251") && window.openMiniGame(1251));
};

window.openMiniGame = function(a, o) {
    var n;
    switch (a) {
      case 1250:
      case 1251:
        n = "sub_" + a;
    }
    if (!n) return console.error("没找到加载内嵌小游戏：", a), void (o && o());
    wx.loadSubpackage({
        name: n,
        success: function() {
            e(), 1251 == a ? new window.Game1251() : 1250 == a && new window.Game1250();
        },
        fail: function() {
            console.error("加载内嵌小游戏失败：", a, n);
        },
        complete: function() {
            o && o();
        }
    });
};

var n = 0, e = function() {
    if (window.tparams && tparams.control) {
        var a = 0;
        window.isCreateRole ? tparams.control.lwDefaultIntoGameNew && (a = tparams.control.lwDefaultIntoGameNew) : tparams.control.lwDefaultIntoGameOld && (a = tparams.control.lwDefaultIntoGameOld), 
        !n && a && (n = Date.now() + 60 * a * 1e3, window.exitTime = n);
    }
};